Skip to main content

Store record in last task run's default store

PUT 

/v2/actor-tasks/:actorTaskId/runs/last/key-value-store/records/:recordKey

Stores a value under a specific key in the default key-value store of the last Actor task run.

This endpoint is a shortcut for getting the last task run's defaultKeyValueStoreId and then using the Store record endpoint.

Request

Path Parameters

    actorTaskId string required

    Task ID or a tilde-separated owner's username and task's name.


    Example: janedoe~my-task
    recordKey string required

    Key of the record.


    Example: someKey

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED

Header Parameters

    Content-Encoding string

    Possible values: [gzip, deflate, br, identity]

Bodyrequired

  • property name* any

    The request body contains the value to store in the record. The content type should be specified in the Content-Type header.


    Example: {"message":"Hello, world!","count":42}

Status 201

Response Headers
  • Location
{}